#!/usr/bin/env python

import sys
import os


def show_tree(rootpath='.'):
    directories = [directory for (directory, _, _) in os.walk(rootpath)]
    directories.sort()
    for directory in directories:
        dir_list = directory.split(os.sep)
        depth = len(dir_list)
        print '{}{}'.format('    ' * (depth - 1), dir_list[-1])
    print '-' * 32
    print '{} directories'.format(len(directories))


def main():
    args = sys.argv[1:]
    if len(args) == 1:
        show_tree(args[0])
    elif len(args) == 0:
        show_tree()
    else:
        sys.exit('usage: dirtree.py [rootpath]')


if __name__ == '__main__':
    main()
